Essentials ZOO
Specifications

AddonMaturityCompatibility
Core 1.x
Stable
Joomla 3 / ZOO 3 / Widgetkit 2
Core 2.x
Beta
Joomla 3 / ZOO 4 / Widgetkit 3 / YOOtheme Pro
Filter 3.x
Stable
Joomla 3 / ZOO 3
Filter 4.x
Alpha
Joomla 3 / ZOO 4 / YOOtheme Pro
Lingual 3.x
Stable
Joomla 3 / ZOO 3
Lingual 4.x
Alpha
Joomla 3 / ZOO 4
Cart 3.x
Stable
Joomla 3 / ZOO 3
Events 3.x
Stable
Joomla 3 / ZOO 3
Compare 3.x
Stable
Joomla 3 / ZOO 3

If you are about to upgrade to ZOO 4, assure that all required addons are compatible as mixing versions is not possible. At the moment Cart, Events and Compare are not going to get a ZOO 4 compatible version.